Package org.silverpeas.components.silvercrawler.control

## Class UploadItem

- java.lang.Object
- - org.silverpeas.components.silvercrawler.control.UploadItem

-     public class UploadItem
      extends Object

  This class is the result of a dragNDrop of folders and path in SilverCrawler.
  Author:
    Ludovic Bertin

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UploadItem()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IOException` | `getCopyFailedException()` |
    `int` | `getId()` |
    `File` | `getRelativePath()` |
    `boolean` | `isCopyFailed()` |
    `boolean` | `isItemAlreadyExists()` |
    `boolean` | `isReplace()` |
    `void` | `setCopyFailed​(IOException e)` |
    `void` | `setCopyFailedException​(IOException copyFailedException)` |
    `void` | `setFileName​(String fileName)` |
    `void` | `setId​(int id)` |
    `void` | `setItemAlreadyExists​(boolean itemAlreadyExists)` |
    `void` | `setParentRelativePath​(File parentRelativePath)` |
    `void` | `setReplace​(boolean replace)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UploadItem

          public UploadItem()

  - ### Method Detail

    - #### getId

          public int getId()

      Returns:
        the id

    - #### setId

          public void setId​(int id)

      Parameters:
        `id` - the id to set

    - #### setFileName

          public void setFileName​(String fileName)

    - #### getRelativePath

          public File getRelativePath()

    - #### setParentRelativePath

          public void setParentRelativePath​(File parentRelativePath)

    - #### isItemAlreadyExists

          public boolean isItemAlreadyExists()

    - #### setItemAlreadyExists

          public void setItemAlreadyExists​(boolean itemAlreadyExists)

    - #### isReplace

          public boolean isReplace()

    - #### setReplace

          public void setReplace​(boolean replace)

    - #### setCopyFailed

          public void setCopyFailed​(IOException e)

    - #### isCopyFailed

          public boolean isCopyFailed()

    - #### getCopyFailedException

          public IOException getCopyFailedException()

    - #### setCopyFailedException

          public void setCopyFailedException​(IOException copyFailedException)